# Copyright (c) 2023 Project CHIP Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

name:
    178.2.3. [TC-TCTL-2.3] Optional temperature level attributes with DUT as
    Server

PICS:
    - TCTL.S
    - TCTL.S.F01

config:
    nodeId: 0x12344321
    cluster: "Temperature Control"
    endpoint: 1

tests:
    - label: "Step 1: Wait for the commissioned device to be retrieved"
      cluster: "DelayCommands"
      command: "WaitForCommissionee"
      arguments:
          values:
              - name: "nodeId"
                value: nodeId

    - label:
          "Step 2: TH reads from the DUT the SelectedTemperatureLevel attribute"
      PICS: TCTL.S.A0004
      command: "readAttribute"
      attribute: "SelectedTemperatureLevel"
      response:
          constraints:
              type: int8u
              minValue: 0
              maxValue: 31

    - label:
          "Step 3: TH reads from the DUT the SupportedTemperatureLevels
          attribute"
      PICS: TCTL.S.A0005
      command: "readAttribute"
      attribute: "SupportedTemperatureLevels"
      response:
          constraints:
              type: list
              maxLength: 32

    - label:
          "Verify that the DUT response contains a list of strings with each
          string length not exceeding 16 characters."
      verification: |
          On TH(chip-tool), Verify that the DUT response contains a list of strings with each string length not exceeding 16 characters.
      cluster: "LogCommands"
      command: "UserPrompt"
      PICS: PICS_USER_PROMPT && TCTL.S.A0005
      arguments:
          values:
              - name: "message"
                value: "Please enter 'y' after success"
              - name: "expectedValue"
                value: "y"
